#!/bin/sh

# Note that this script is extremely simple and does not really use anything
# UNIX-specific. It should be very easy to convert it to a script which runs on
# other platforms.

echo "---------------------------------------------"
echo "  Welcome to TREETISTIC, build 9th February 2012"
echo "---------------------------------------------"

if [ $# -eq 0  ];
	then
	echo "Usage:"
	echo "TREETISTIC.SH <newickFile> [--all]"
	echo ""
	echo "Here <newickFile> is assumed to be a file of binary"
	echo "trees on the same set of taxa, one per line."
	echo ""
	echo "If the --all parameter is not supplied TREETISTIC"
	echo "will stop after the first network it finds that"
	echo "displays all the input trees, otherwise"
	echo "TREETISTIC will simply carry on constructing networks"
	echo "with an increasing number of reticulations."
	echo "---------------------------------------------"
	exit
	fi

echo "These are the trees that we will work with:"

cat $1

echo "---------------------------------------------"

echo -n "First we will convert the trees to a set of clusters..."

java -jar NewickToClusters.jar < $1 > $1.clus

echo "done."

echo -n "Now we will convert the trees to a set of triplets..."

java -jar NewickToTriplet.jar --noweight < $1 > $1.trip

echo "done."

echo "Running main TREETISTIC algorithm...will also write the output networks to the file $1.net"

java Treetistic $1 $2

echo "Done"

echo "The network(s) can be viewed by running the following command (under UNIX):"
echo "dot -Tps $1.net -o $1.net.ps"
